Retrieve exchange partner - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/exchange-partners
/{id} cURL
GET https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange-partner"
},
"funding-source": {
"href": "https://api.dwolla.com/funding-sources",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "funding-source"
}
},
"id": "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"name": "MX",
"status": "active",
"created": "2022-08-30T19:31:59.106Z"
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangePartnerUrl = "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
dwolla.get(exchangePartnerUrl).then((res) => res.body.id); // => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_partner_url = 'https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange_partner = app_token.get(exchange_partner_url)
exchange_partner.body['id'] # => 'e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangePartnersApi = new ExchangepartnersApi($apiClient);
$exchangePartnerUrl = "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
$exchangePartner = $exchangePartnersApi->id($exchangePartnerUrl);
$exchangePartner->id; # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_partner_url = 'https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange_partner = app_token.get exchange_partner_url
exchange_partner.id # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
200
404
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"name": "Plaid",
"status": "active",
"created": "2022-07-23T00:18:21.419Z"
}
{
"code": "NotFound",
"message": "The requested resource was not found."
}
Authorizations
Authorization
string
header
required
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Accept
enum
default:application/vnd.dwolla.v1.hal+json
required
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json
Path Parameters
id
string
required
Exchange Partner resource unique identifier.
Example:
"292317ec-e252-47d8-93c3-2d128e037aa4"
Response
200
application/vnd.dwolla.v1.hal+json
successful operation
_links
object
required
Show child attributes
id
string
required
Example:
"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"
name
enum
required
Available options:
MX,
Plaid,
Flinks,
Finicity,
Checkout.com
Example:
"Plaid"
status
enum
required
Available options:
active
Example:
"active"
created
string
required
Example:
"2022-07-23T00:18:21.419Z"